---
agentTools:
  projectIndex: https://docs.cancergenomicscloud.org/llms.txt
---

# List workflow runs

This call returns a list of workflow runs that you can access. To monitor a specific workflow run, use [GetRunStatus](https://docs.cancergenomicscloud.org/docs/get-the-status-of-the-workflow-run) or [GetRunLog](https://docs.cancergenomicscloud.org/docs/get-details-of-a-workflow-run).

[block:code]
{
  "codes": [
    {
      "code": "https://cgc-ga4gh-api.sbgenomics.com/ga4gh/wes/v1/runs",
      "language": "text",
      "name": "Path"
    }
  ]
}
[/block]

\##Request

\###Example request

[block:code]
{
  "codes": [
    {
      "code": "GET /ga4gh/wes/v1/runs HTTP/1.1\nHost: cgc-ga4gh-api.sbgenomics.com\nX-SBG-Auth-Token: 3210a98c1db9314fa9d9273156740f66",
      "language": "http",
      "name": null
    },
    {
      "code": "curl --location --request GET 'https://cgc-ga4gh-api.sbgenomics.com/ga4gh/wes/v1/runs' \\\n--header 'X-SBG-Auth-Token: 3210a98c1db9314fa9d9273156740f66' \\",
      "language": "curl",
      "name": "cURL"
    }
  ],
  "sidebar": true
}
[/block]

\###Header Fields

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Description",
    "0-0": "`X-SBG-Auth-Token`\n_required_",
    "0-1": "Your [authentication token](https://docs.cancergenomicscloud.org/docs/get-your-authentication-token).",
    "h-2": ""
  },
  "cols": 2,
  "rows": 1
}
[/block]

\###Path parameters

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Data type",
    "0-0": "`page_size`",
    "1-0": "`page_token`",
    "h-2": "Description",
    "0-1": "string",
    "1-1": "string",
    "0-2": "Specify the preferred number of workflow runs to return in a page. If unspecified, the default value will be used. The default value is 50. The availability of additional pages is indicated by the value of `next_page_token` in the response.",
    "1-2": "Specify page token to indicate where to start getting results. If unspecified, the first page of results will be returned."
  },
  "cols": 3,
  "rows": 2
}
[/block]

\##Response

[See a list of response codes that may be contained in the body of the response.](https://docs.cancergenomicscloud.org/docs/api-status-codes)

\###Response body

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Data type",
    "h-2": "Decription",
    "0-0": "`runs`",
    "0-1": "Array of objects ([RunStatus](https://docs.cancergenomicscloud.org/docs/get-the-status-of-the-workflow-run))",
    "0-2": "A list of workflow runs that the service has executed or is executing. The list is filtered to only include runs that the caller has permission to see.",
    "1-0": "`next_page_token`",
    "1-1": "string",
    "1-2": "A token which may be supplied as `page_token` in workflow run list request to get the next page of results. An empty string indicates there are no more items to return."
  },
  "cols": 3,
  "rows": 2
}
[/block]

\###Example response body

[block:code]
{
  "codes": [
    {
      "code": "{\n    \"runs\": [\n        {\n            \"state\": \"COMPLETE\",\n            \"run_id\": \"40a284d3-c1de-401c-8799-3de8d85bbd8d\"\n        },\n        {\n            \"state\": \"COMPLETE\",\n            \"run_id\": \"30a284d3-c1de-401c-8799-3de8d85bbd8d\"\n        },\n        {\n            \"state\": \"COMPLETE\",\n            \"run_id\": \"20a284d3-c1de-401c-8799-3de8d85bbd8d\"\n        },\n        {\n            \"state\": \"COMPLETE\",\n            \"run_id\": \"140a284d3-c1de-401c-8799-3de8d85bbd8d\"\n        },\n        {\n            \"state\": \"COMPLETE\",\n            \"run_id\": \"00a284d3-c1de-401c-8799-3de8d85bbd8d\"\n        }],\n     \"next_page_token\": \"\"\n}",
      "language": "json"
    }
  ],
  "sidebar": true
}
[/block]